<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetTransition Method (IEdmState5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmState5 Interface : GetTransition Method (IEdmState5)

Visual Basic
C#
C++/CLI

bsName
  Name of transition from this workflow state

Obsolete. Gets a transition from this workflow state by name.

# Syntax

Visual Basic |
--- | ---

    Function GetTransition( _
       ByVal bsName As System.String _
    ) As IEdmTransition5

C# |
--- | ---

    IEdmTransition5 GetTransition(
       System.string bsName
    )

C++/CLI |
--- | ---

    IEdmTransition5^ GetTransition(
    &   System.String^ bsName
    )

#### Parameters

bsName
  Name of transition from this workflow state

#### Return Value

IEdmTransition5; Null if no transition for bsName is found

# Remarks

This method is not supported in SOLIDWORKS PDM Professional Version 6.0 and later, because workflows in SOLIDWORKS PDM Professional 6.0 may contain several transitions with the same name. In SOLIDWORKS PDM Professional Version 5.3, the user was forced to create transitions with unique names in the workflow editor. It is, therefore, no longer possible to uniquely identify transitions by name.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmTransition5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The transition is not found.
- E_NOTIMPL: This method is obsolete as of SOLIDWORKS PDM Professional Version 6.0.

# See Also

####

IEdmState5 Interface
IEdmState5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2